Skip to main content
GET
/
api
/
v1
/
traders
Discover traders
curl --request GET \
  --url https://carboncopy.inc/api/v1/traders \
  --header 'Authorization: Bearer <token>'
{
  "traders": [
    {
      "walletAddress": "0xAbCd1234...",
      "username": "sharptrader",
      "totalProfit": 4200,
      "totalVolume": 32000,
      "roi": 0.131,
      "winRate": 0.71,
      "followers": 48
    }
  ]
}

Authorizations

Authorization
string
header
required

API key in the format cc_<64 hex characters>. Obtain from the Dashboard under Settings → API Keys.

Query Parameters

q
string

Username/profile search query.

sortBy
enum<string>
default:profit

Sort results by metric.

Available options:
profit,
volume,
followers,
copyability,
roi
minVolume
number

Minimum total trading volume (USDC).

minRoi
number

Minimum ROI (e.g. 0.1 = 10%).

minWinRate
number

Minimum win rate (0–1).

Required range: 0 <= x <= 1
limit
integer
default:50
Required range: 1 <= x <= 200

Response

Matching traders.

traders
object[]